# API Token

API tokens are required to access the Eraser API. Tokens are provisioned per team and access is limited to **[paid teams](https://www.eraser.io/pricing)**.

### How to get an API token

1. [Sign up](https://app.eraser.io/auth/sign-up) to Eraser. You will create a team during the sign up process.
2. Upgrade to a [Paid plan](https://app.eraser.io/dashboard/all/?settings=plans). Learn more about [Eraser pricing](https://www.eraser.io/pricing).
3. Open team settings.

<Figure src="/assets/52b1ac6-image.png" alt="" width="200px" />

4. Select [API Token](https://app.eraser.io/dashboard/all?settings=api-tokens) and click on "Generate Token".

<Figure src="/assets/6ccead0-image.png" alt="" border />

5. Include API token as a **bearer token** in API request headers. Here is an example:

```eraser
curl --location --request POST 'https://app.eraser.io/api/render/prompt' \
--header 'Authorization: Bearer YOUR_API_TOKEN' \
--header 'Content-Type: application/json' \
--data '{
    "text": "Draw a data model for a Twitter clone"
}'
```
